package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.SysProjectProgressMapper;
import com.ruoyi.system.domain.SysProjectProgress;
import com.ruoyi.system.service.ISysProjectProgressService;

@Service
public class SysProjectProgressServiceImpl implements ISysProjectProgressService
{
    @Autowired
    private SysProjectProgressMapper sysProjectProgressMapper;

    @Override
    public SysProjectProgress selectSysProjectProgressById(Long id)
    {
        return sysProjectProgressMapper.selectSysProjectProgressById(id);
    }

    @Override
    public List<SysProjectProgress> selectSysProjectProgressList(SysProjectProgress sysProjectProgress)
    {
        return sysProjectProgressMapper.selectSysProjectProgressList(sysProjectProgress);
    }

    @Override
    public int insertSysProjectProgress(SysProjectProgress sysProjectProgress)
    {
        return sysProjectProgressMapper.insertSysProjectProgress(sysProjectProgress);
    }

    @Override
    public int updateSysProjectProgress(SysProjectProgress sysProjectProgress)
    {
        return sysProjectProgressMapper.updateSysProjectProgress(sysProjectProgress);
    }

    @Override
    public int deleteSysProjectProgressByIds(Long[] ids)
    {
        return sysProjectProgressMapper.deleteSysProjectProgressByIds(ids);
    }

    @Override
    public int deleteSysProjectProgressById(Long id)
    {
        return sysProjectProgressMapper.deleteSysProjectProgressById(id);
    }
}
